package org.seasar.jsf.exception;

import org.seasar.framework.exception.SRuntimeException;

/**
 * @author higa
 *  
 */
public class NoValueHolderRuntimeException extends SRuntimeException {

	private Class componentClass;

	public NoValueHolderRuntimeException(Class componentClass) {
		super("EJSF0010", new Object[] { componentClass.getName() });
		this.componentClass = componentClass;
	}

	public Class getComponentClass() {
		return componentClass;
	}
}